//
// Procedural type
//

program Demo5;
type
  MathFunc = function( X, Y : Integer ) : Integer;

function Add( X, Y : Integer ) : Integer;
begin
  result := X + Y;
end;

function Sub( X, Y : Integer ) : Integer;
begin
  result := X - Y;
end;

function Mult( X, Y : Integer ) : Integer;
begin
  result := X * Y;
end;

var
  A : array[ 1..3 ] of MathFunc;
  F : MathFunc;
  I : Integer;
begin
  A[ 1 ] := Add;
  A[ 2 ] := Sub;
  A[ 3 ] := Mult;
  for I:=1 to 3 do
  begin
    F := A[ I ];
    writeln( F( 5, 7 ) );
  end;
end.